#ifndef DRINK_H
#define DRINK_H

#include <linux/ioctl.h>

#define DEVICE_MAJOR 252
#define DEVICE_NAME "drink"

/* Bitmasks for the control lines */
#define CONTROL_CLEAR      0x00  /* No activity */
#define CONTROL_STROBE     0x04  /* Strobe line */
#define ADDRESS_LATCH      0x01  /* Address latch */	   
#define TRISTATE_ENABLE	0x20	/* Tristate Bit */


#define DROP_SET	0x00	/* Load the drop latch */
#define DROP_RUN	0x01	/* Drop the drinks */
#define PANEL_SET	0x02	/* Set the panel lights */
#define UNUSED_3	0x03	/* Unused set */
#define OUT_READ	0x04	/* Read back the out indicators */
#define PANEL_READ 	0x05	/* Read back the Front Panel */

#endif
